Migration
All operations require authentication.
Retrieve all country migrationsBeta
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ migration \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Retrieve information about a country migrationBeta
Path parameters
Migration ID
Response
Billing country to migrate from
CZDEESEUFIFRGBIEITLTMANLPLPTSNTNMigration Id
Migration status
CANCELEDCHECKEDDOINGMIGRATEDTODOTO_CHECKMigration steps
Billing country to migrate to
CZDEESEUFIFRGBIEITLTMANLPLPTSNTNExample uses migrationId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ migration/ {migrationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "from": "CZ", "id": 0, "status": "CANCELED", "steps": [ { "contracts": { "agreements": [ { "agreed": "ko", "contractId": 0, "date": "2024-01-01T12:00:00Z", "id": 0 } ] }, "debt": { "balanceAmount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "ovhAccountAmount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 } }, "name": "CONTRACTS", "orders": { "pendingOperations": true, "pendingPromotions": true, "pendingSubscriptions": true }, "status": "OK" } ], "to": "CZ"}
Retrieve all contracts for a billing country migrationBeta
Path parameters
Migration ID
Response
Example uses migrationId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ migration/ {migrationId}/ contract \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Retrieve detail about a contract for a billing country migrationBeta
Path parameters
Contract ID
Migration ID
Response
Status
Date
ID
Name
PDF URL
Text of the contract
Example uses contractId = 0, migrationId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ migration/ {migrationId}/ contract/ {contractId} \
-H "authorization: Bearer $OVH_TOKEN"{ "active": true, "date": "2024-01-01", "id": 0, "name": "string", "pdf": "string", "text": "string"}
Accept contractBeta
Path parameters
Contract ID
Migration ID
Response
State of the agreement
koobsoleteoktodoContract ID
Date of creation if the agreement is not signed. Date of signature if the agreement is signed
Contract Agreement ID
Example uses contractId = 0, migrationId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ migration/ {migrationId}/ contract/ {contractId}/ accept \
-H "authorization: Bearer $OVH_TOKEN"{ "agreed": "ko", "contractId": 0, "date": "2024-01-01T12:00:00Z", "id": 0}
Retrieve agreement for this contractBeta
Path parameters
Contract ID
Migration ID
Response
State of the agreement
koobsoleteoktodoContract ID
Date of creation if the agreement is not signed. Date of signature if the agreement is signed
Contract Agreement ID
Example uses contractId = 0, migrationId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ migration/ {migrationId}/ contract/ {contractId}/ agreement \
-H "authorization: Bearer $OVH_TOKEN"{ "agreed": "ko", "contractId": 0, "date": "2024-01-01T12:00:00Z", "id": 0}